About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Learning
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
        POST
      • Get all Learning Resources
        GET
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Learning

Get all Learning Resources

GET
/learning/materials
Retrieves a paginated list of learning resources available in the platform. Resources may include courses, bootcamps, certification, Degree Programs, exams, seminars, workshops, Micro Learningand, MOOC, learning paths. The endpoint supports searching by keyword, pagination, and optionally including associated skill information for each learning resource.
RecommendationTypeDescription
0None
1AI
2Curated
3AI + Curated

Request

Query Params

Header Params

Responses

🟢200OK
text/plain
OK
Bodytext/plain

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/learning/materials?PageNumber=1&PageSize=100&SearchText=undefined&IncludeSkills=true&lastModifiedOn=2026-04-23T01%3A45%3A53Z' \
--header 'x-api-key;'
Response Response Example
{
  "items": [
    {
      "learningMaterialId": 0,
      "externalMaterialId": "string",
      "title": "string",
      "recommendationType": 0,
      "url": "string",
      "issuer": {
        "id": 0,
        "name": "string"
      },
      "skills": [
        {
          "taxonomySkillId": 0,
          "skillName": "string",
          "description": "string",
          "explanation": "string",
          "source": 1,
          "proficiency": 0
        }
      ]
    }
  ],
  "pageNumber": 0,
  "totalPages": 0,
  "totalCount": 0,
  "hasPreviousPage": true,
  "hasNextPage": true
}
Modified atĀ 2026-07-02 06:51:29
Previous
Create Learning Resources
Next
Create certificate with skills
Built with